;;;; -*- mode: Scheme; indent-tabs-mode: nil; fill-column: 80; -*-
;;;; 
;;;; Copyright © 2015 Rémi Delrue <asgeir@free.fr>
;;;; 
;;;; This program is free software: you can redistribute it and/or modify
;;;; it under the terms of the GNU General Public License as published by
;;;; the Free Software Foundation, either version 3 of the License, or
;;;; (at your option) any later version.
;;;; 
;;;; This program is distributed in the hope that it will be useful,
;;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;;; GNU General Public License for more details.
;;;; 
;;;; You should have received a copy of the GNU General Public License
;;;; along with this program.  If not, see <http://www.gnu.org/licenses/>.

(define-module (test-fs-uri)
  #:use-module (system foreign)
  #:use-module (srfi srfi-64)
  #:use-module (gnu gnunet fs uri))

(test-begin "test-fs-uri")

;; make-ksk-uri
(test-error 'invalid-arg (make-ksk-uri))

(define test-uri (make-ksk-uri "+foo" "bar" "baz"))

;; uri->string
(test-assert (not (string-null? (uri->string test-uri))))

(test-end)
